package com.usky.oa.controller.web;


import com.usky.common.core.bean.CommonPage;
import com.usky.oa.domain.OaDocument;
import com.usky.oa.service.OaDocumentService;
import com.usky.oa.service.vo.OaApprovalCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 单据总表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-12-26
 */
@RestController
@RequestMapping("/oaDocument")
public class OaDocumentController {

    @Autowired
    private OaDocumentService oaDocumentService;

    @PostMapping("/myApplication")
    public CommonPage<OaDocument> myApplication(@RequestParam(value = "docNo", required = false) String docNo,
                                                @RequestParam(value = "type", required = false) String type,
                                                @RequestParam(value = "status", required = false) Integer status,
                                                @RequestParam(value = "startTime", required = false) String startTime,
                                                @RequestParam(value = "endTime", required = false) String endTime,
                                                @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                                @RequestParam(value = "pageSize", required = false, defaultValue = "10") Integer pageSize) {
        return oaDocumentService.myApplication(docNo, type, status, startTime, endTime, pageNum, pageSize);
    }

    @GetMapping("/documentDetails")
    public Object documentDetails(@RequestParam(value = "docNo") String docNo,
                                  @RequestParam(value = "type") String type) {
        return oaDocumentService.documentDetails(docNo, type);
    }

    @DeleteMapping("/delDocument")
    public void delDocument(@RequestParam(value = "type") String type,
                            @RequestParam(value = "docNo") String docNo) {
        oaDocumentService.delDocument(type, docNo);
    }

}

